//
//
//  thisOldMan.cc
//
//      AUTHOR: Russell Lowke
//         T.F: Francis Crick
//  CSCIE-s111: Unit Four, Easy Supp - question 1 [worth 2pts],  7/9/2002
//

#include <iostream>
#include <iomanip>


//
// Print the verse of "This Old Man"
//
static void verse (int n)
{
   cout << "This old man, he played " << n << ".\n";
   cout << "He played nick-nack ";
   
   switch (n)
   {
       case 1:
           cout << "on my drum";
           break;
       case 2:
           cout << "on my shoe";
           break;
       case 3:
           cout << "on my tree";
           break;
       case 4:
           cout << "on my door";
           break;
       case 5:
           cout << "on my hive";
           break;
       case 6:
           cout << "on my sticks";
           break;
       case 7:
           cout << "up in heaven";
           break;
       case 8:
           cout << "on my gate";
           break;
       case 9:
           cout << "on my spine";
           break;
       case 10:
           cout << "on my hen";
           break;
   }
   
   cout << ";" << endl;
}


//
// Print the chorus of "This Old Man"
//
static void chorus ()
{
   cout << "With a nick-nack paddy-whack, give the dog a bone," << endl;
   cout << "This old man came running home." << endl;
   cout << endl;
}


void main()
{
    for (int count = 1; count <= 10; count++) {
        verse(count);
        chorus();
    }
}


